> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Web Form

> Creates an agent account on the server manually (and logs in to it).

## Overview

Creates an agent account on the server manually (and logs in to it). This account can be used  when logging in, using the Agent API, but also to connect to the Neuron using any of  the available XMPP bindings available. The account that is created, is considered a  regular XMPP account on the broker.

When first created, the account is in a disabled state. You need to validate the e-mail address provided in the request first (and the phone number, if providing a phone number), before the account can be enabled. An e-mail with a verification  code will be sent to the e-mail address provided in the request. If providing a phone number, an SMS will be sent to the phone number.

Note: To use this function, you need to configure the Neuron for use with Google Recaptcha, to protect against malicious account creation. This can be  done using the same configuration as is used by the Feedback page. This also means, that when POSTing the request to the resource, it will be posted as a web form, not JSON or XML, as with most of the the other resources defined in this API. You also provide a redirection URL to redirect the user, upon successful creation of an account.

Security Notice: To create accounts on the Neuron, an API Key is required. This resource requires an API Key to be generated on the Neuron, with the Owner set to Agent API. If no such key is available, or if the account limit configured in the key is reached, no more accounts can be generated using this resource until such a key is created or its limit increased. You can disable account creation using this resource, by simply removing any such API Key configured, or setting the limit at the number of accounts already created using the API Key. The following table shows if such a key is available, and if accounts can be created using this resource.

## Authentication

No authentication required.

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/guides/pattern-matching).


## OpenAPI

````yaml /test-api/openapi.yaml post /Agent/Account/CreateWebForm
openapi: 3.1.0
info:
  title: Neuron Agent API
  version: 1.0.0
  description: |-
    The Agent API exposes core Neuron functionality over HTTP so services can
    operate without a persistent XMPP connection. Endpoints are grouped by
    capability, starting with Accounts and XMPP messaging.
servers:
  - url: https://{host}
    variables:
      host:
        default: neuron.example.com
        description: Neuron domain issued to you.
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Crypto
  - name: Open intelligence
  - name: Legal and contracts
  - name: State machines
  - name: Storage
  - name: Tokens
  - name: Wallet
  - name: XMPP messaging
paths:
  /Agent/Account/CreateWebForm:
    post:
      tags:
        - Accounts
      summary: Create Web Form
      description: Creates an agent account on the server manually (and logs in to it).
      operationId: post_Agent_Account_CreateWebForm
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                UserName:
                  type: string
                EMail:
                  type: string
                PhoneNr:
                  type: string
                Password:
                  type: string
                RedirectionUrl:
                  type: string
                g-recaptcha-response:
                  type: string
              additionalProperties: true
      responses:
        '200':
          description: Success
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````